/******/
(function(modules) {
        // webpackBootstrap
        /******/
        // The module cache
        /******/
        var installedModules = {};
        /******/
        /******/
        // The require function
        /******/
        function __webpack_require__(moduleId) {
            /******/
            /******/
            // Check if module is in cache
            /******/
            if (installedModules[moduleId]) {
                /******/
                return installedModules[moduleId].exports;
                /******/
            }
            /******/
            // Create a new module (and put it into the cache)
            /******/
            var module = installedModules[moduleId] = {
                /******/
                i: moduleId,
                /******/
                l: false,
                /******/
                exports: {}/******/
            };
            /******/
            /******/
            // Execute the module function
            /******/
            modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
            /******/
            /******/
            // Flag the module as loaded
            /******/
            module.l = true;
            /******/
            /******/
            // Return the exports of the module
            /******/
            return module.exports;
            /******/
        }
        /******/
        /******/
        /******/
        // expose the modules object (__webpack_modules__)
        /******/
        __webpack_require__.m = modules;
        /******/
        /******/
        // expose the module cache
        /******/
        __webpack_require__.c = installedModules;
        /******/
        /******/
        // define getter function for harmony exports
        /******/
        __webpack_require__.d = function(exports, name, getter) {
            /******/
            if (!__webpack_require__.o(exports, name)) {
                /******/
                Object.defineProperty(exports, name, {
                    /******/
                    configurable: false,
                    /******/
                    enumerable: true,
                    /******/
                    get: getter/******/
                });
                /******/
            }
            /******/
        }
        ;
        /******/
        /******/
        // getDefaultExport function for compatibility with non-harmony modules
        /******/
        __webpack_require__.n = function(module) {
            /******/
            var getter = module && module.__esModule ? /******/
                function getDefault() {
                    return module['default'];
                }
                : /******/
                function getModuleExports() {
                    return module;
                }
            ;
            /******/
            __webpack_require__.d(getter, 'a', getter);
            /******/
            return getter;
            /******/
        }
        ;
        /******/
        /******/
        // Object.prototype.hasOwnProperty.call
        /******/
        __webpack_require__.o = function(object, property) {
            return Object.prototype.hasOwnProperty.call(object, property);
        }
        ;
        /******/
        /******/
        // __webpack_public_path__
        /******/
        __webpack_require__.p = "";
        /******/
        /******/
        // Load entry module and return exports
        /******/
        return __webpack_require__(__webpack_require__.s = 3);
        /******/
    }
)/************************************************************************/
/******/
([/* 0 */
    /***/
    (function(module, exports, __webpack_require__) {

            "use strict";

            /*
             * Copyright (C) distroy
             */

            var pace = module.exports = window.pace = window.pace || {};

            var DEVICE_TYPE = getDeviceType();
            var PaceBridge = null;

            var URL_BASE = 'http://pacehirunact.sparta.html5.qq.com';

            pace.checkUrl = function(url, on_succ, on_fail) {
                url = getOriginUrl(url);
                if (!getBridge()) {
                    url += url.indexOf('?') >= 0 ? '&' : '?';
                    url += 'uin=MTEwOTI1&sign=b6b7aef83e9d7f3ae4eaade429383f23&pass_ticket=0dc18f27c9a2472112d0eb38e683b374';
                    on_succ && on_succ(url);
                    return;
                }

                if (DEVICE_TYPE === 'ios') {
                    try {
                        PaceBridge.postMessage({
                            method: 'checkUrl',
                            arguments: arguments,
                            url: url,
                            on_succ: on_succ,
                            on_fail: on_fail || function(err) {
                                return console.error('checkUrl fail. err:', err);
                            }
                        });
                    } catch (err) {
                        console.log(err);
                    }
                } else {
                    PaceBridge.checkUrl(url, on_succ, on_fail);
                }
            }
            ;

            pace.openMapApp = function(param) {
                if (!getBridge()) {
                    console.log('cannot open map app');
                    return;
                }
                if (DEVICE_TYPE === 'ios') {
                    PaceBridge.postMessage({
                        method: 'openMapApp',
                        arguments: arguments,
                        param: param
                    });
                } else {
                    PaceBridge.openMapApp(JSON.stringify(param));
                }
            }
            ;

            pace.back = function() {
                if (!getBridge()) {
                    console.log('PaceBridge--- 1', PaceBridge);
                    window.history && window.history.back && window.history.back();
                    return;
                }

                if (DEVICE_TYPE === 'ios') {
                    PaceBridge.postMessage({
                        method: 'back'// arguments: arguments,
                    });
                } else {
                    console.log('在这里执行了');
                    console.log('PaceBridge--- 2', PaceBridge);
                    PaceBridge.back();
                }
            }
            ;

            pace.openSetPhone = function() {
                if (!getBridge()) {
                    console.error('open set phone page fail');
                    return;
                }

                if (DEVICE_TYPE === 'ios') {
                    PaceBridge.postMessage({
                        method: 'openSetPhone'
                    });
                } else {
                    PaceBridge.openSetPhone();
                }
            }
            ;

            pace.shareWx = function(param) {
                if (!getBridge()) {
                    console.log('cannot share to wechat');
                    return;
                }

                if (DEVICE_TYPE === 'ios') {
                    PaceBridge.postMessage({
                        method: 'shareWx',
                        arguments: arguments,
                        param: param
                    });
                } else {
                    PaceBridge.shareWx(JSON.stringify(param));
                }
            }
            ;

            function getOriginUrl(url) {
                if (url[0] !== '/')
                    return url;
                getOriginUrl.cache = getOriginUrl.cache || {};
                return getOriginUrl.cache[url] = getOriginUrl.cache[url] || URL_BASE + url;
            }

            function getBridge() {
                if (!PaceBridge) {
                    if (DEVICE_TYPE === 'ios')
                        PaceBridge = window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.PaceBridge;
                    else
                        PaceBridge = window.PaceBridge;
                }
                return PaceBridge;
            }

            function getBrowser() {
                return {
                    versions: function() {
                        var u = navigator.userAgent
                            , app = navigator.appVersion;
                        return {
                            // 移动终端浏览器版本信息
                            trident: u.indexOf('Trident') > -1,
                            // IE内核
                            presto: u.indexOf('Presto') > -1,
                            // opera内核
                            webKit: u.indexOf('AppleWebKit') > -1,
                            // 苹果、谷歌内核
                            gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1,
                            // 火狐内核
                            mobile: !!u.match(/AppleWebKit.*Mobile.*/),
                            // 是否为移动终端
                            ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/),
                            // ios终端
                            android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1,
                            // android终端或uc浏览器
                            iPhone: u.indexOf('iPhone') > -1,
                            // 是否为iPhone或者QQHD浏览器
                            iPad: u.indexOf('iPad') > -1,
                            // 是否iPad
                            webApp: u.indexOf('Safari') == -1,
                            // 是否web应该程序，没有头部与底部
                            weixin: u.match(/MicroMessenger/i) == "micromessenger" || window.WeixinJSBridge != undefined
                        };
                    }(),
                    language: (navigator.browserLanguage || navigator.language).toLowerCase()
                };
            }

            function getDeviceType() {
                var result = '';
                var browser = getBrowser();
                if (browser.versions.ios || browser.versions.iPhone || browser.versions.iPad) {
                    result = 'ios';
                } else if (browser.versions.android) {
                    result = 'android';
                }
                // console.log(result);
                return result;
            }

            /***/
        }
    ), /* 1 */
    /***/
    (function(module, exports, __webpack_require__) {

            "use strict";

            /*
             * Copyright (C) distroy
             */

            var pace = __webpack_require__(0);

            module.exports = function(url, data, on_succ, on_fail) {
                if (typeof data === 'function')
                    return jsonp(url, {}, data, on_succ);

                return jsonp(url, data, on_succ, on_fail);
            }
            ;

            function jsonp(url, data, on_succ, on_fail) {
                data = data || {};
                pace.checkUrl(url, function(fresh_url) {
                    data._r = Math.random();
                    data._t = Date.now();

                    $.ajax({
                        url: fresh_url,
                        data: data,
                        dataType: 'jsonp',
                        success: on_succ
                    });
                });
            }

            /***/
        }
    ), /* 2 */
    /***/
    (function(module, exports, __webpack_require__) {

            "use strict";

            /*
             * Copyright (C) distroy
             */

            var store = module.exports = {};

            store.set = function(key, ver, val) {
                var obj = {
                    version: ver,
                    data: val
                };
                var txt = JSON.stringify(obj);
                localStorage.setItem(key, txt);
            }
            ;

            store.get = function(key, ver) {
                var txt = localStorage.getItem(key);
                console.log(txt, 'txt');
                if (!txt)
                    return;
                var obj = void 0;
                try {
                    obj = new Function('return ' + txt)();
                } catch (exc) {
                    return;
                }
                ;console.log(obj, 'obj');
                console.log(ver, 'ver---');
                if (ver !== obj.version)
                    return;

                return obj.data;
            }
            ;

            /***/
        }
    ), /* 3 */
    /***/
    (function(module, exports, __webpack_require__) {

            "use strict";

            /**
             * Created by Administrator on 2018/1/3.
             */

            var jsonp = __webpack_require__(1);
            var pace = __webpack_require__(0);
            var store = __webpack_require__(2);

            var STORE_KEY = 'PACE_ADDR_LIST';
            var STORE_VER = 1;

            var addr_list = [{
                addr_id: 1,
                date: '19:20',
                addr: '百度国际大厦，深圳市',
                icon: 'assets/navigation.png'
            }, {
                addr_id: 2,
                date: '19:20',
                addr: '百度国际大厦，深圳市',
                icon: 'assets/navigation.png'
            }, {
                addr_id: 3,
                date: '19:20',
                addr: '百度国际大厦，深圳市',
                icon: 'assets/navigation.png'
            }];

            function template(target_arr) {
                return target_arr.map(function(item) {
                    return '<div style="display:flex;width:100%;height:72px;border-bottom:1px solid #eee;" >' + '<div class="loction_name">' + '<p style="margin-top:16px;">' + item.addr + '</p>' + '<p style="margin-top:4px;font-size: 12px;color: rgba(0,0,0,0.50);">' + item.date + '</p>' + '</div>' + '<div class="loction_iocon">' + '<img src="assets/navigation.png" class="locIcon" data-id="' + item.addr_id + '" style="width:24px;height:24px;margin-top:24px;" alt="">' + '</div>' + '</div>';
                }).join('');
            }

            showAddrList(store.get(STORE_KEY, STORE_VER));

            function showAddrList(list) {
                list = list || [];
                if (list.length === 0) {
                    $('#editor').css('display', 'none');
                    $('#location_list_null').css('display', 'block');
                }
                store.set(STORE_KEY, STORE_VER, list);
                var html = template(list || []);
                $('#addr_list').html(html || '');
            }

            jsonp('/cgi/concat/get_address_list', function(rsp) {
                console.log('get address list rsp:', rsp);
                if (rsp.ret === 0) {
                    console.log(rsp.addr_list);
                    showAddrList(rsp.addr_list);
                }
            });

            $('#back').click(function() {
                console.log('通知APP返回');
                pace.back();
            });
            var that = $('#editor');
            var delete_btn = $('#delete');
            var arr = [];
            $('#editor').click(function() {
                if (that.attr('data-switch') === 'true') {
                    that.html('全选');
                    that.attr('data-switch', 'false');
                    delete_btn.css('display', 'block');
                    $('.locIcon').attr('src', 'assets/defalute.png');
                } else {
                    that.html('编辑');
                    that.attr('data-switch', 'true');
                    delete_btn.css('display', 'none');
                    $('.locIcon').attr('src', 'assets/navigation.png');
                }
            });
            //
            console.log(that.html());

            $('.locIcon').click(function() {
                if (that.html() === '全选') {
                    if ($(this).attr('src') === 'assets/checkbox.png') {
                        $(this).attr('src', 'assets/defalute.png');
                    } else {
                        $(this).attr('src', 'assets/checkbox.png');
                    }
                }
            });
            //删除地理位置
            delete_btn.click(function() {
                $('#model').css('display', 'block');
                arr = [];
                var icon = $('.locIcon');
                for (var i = 0; i < icon.length; i++) {
                    if (icon[i].getAttribute('src') === 'assets/checkbox.png') {
                        arr.push(icon[i].getAttribute('data-id'));
                    }
                }
                console.log(arr);
            });
            //确认删除
            $('#sureDelete').click(function() {
                //删除联系人
                jsonp('/cgi/concat/del_addresse', {
                    addr_list: arr
                }, function(rsp) {
                    console.log('del address rsp:', rsp);
                });
                $('#model').css('display', 'none');
            });
            //取消
            $('#cancleBtn').click(function() {
                $('#model').css('display', 'none');
            });

            /***/
        }
    )/******/
]);
//# sourceMappingURL=debugging/addr_list.js.map
/**
 * Created by Administrator on 2018/1/9.
 */
