/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 6);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

var pace = module.exports = window.pace = window.pace || {};

var DEVICE_TYPE = getDeviceType();
var PaceBridge = null;
var URL_BASE = 'http://pacehirunact.sparta.html5.qq.com';

pace.checkUrl = function (url, on_succ, on_fail) {
    url = getOriginUrl(url);
    on_fail = on_fail || function (err) {
        return console.error('checkUrl() fail. err:', err);
    };
    if (!getBridge()) {
        url += url.indexOf('?') >= 0 ? '&' : '?';
        url += 'uin=MTExMDQ3&sign=b6b7aef83e9d7f3ae4eaade429383f23&pass_ticket=0dc18f27c9a2472112d0eb38e683b374';
        on_succ && on_succ(url);
        return;
    }

    var name_succ = '_pace_func_' + getSequence();
    var name_fail = '_pace_func_' + getSequence();
    window[name_succ] = function () {
        console.log('checkUrl() succ. arguments:', arguments);
        delete window[name_succ];
        delete window[name_fail];
        on_succ && on_succ.apply(this, arguments);
    };
    window[name_fail] = function () {
        console.error('checkUrl() fail. arguments:', arguments);
        delete window[name_succ];
        delete window[name_fail];
        on_fail();
    };

    if (DEVICE_TYPE === 'ios') {
        try {
            PaceBridge.postMessage && PaceBridge.postMessage({
                method: 'checkUrl',
                // arguments: arguments,
                url: url,
                on_succ: name_succ,
                on_fail: name_fail
            });
        } catch (err) {
            console.log(err);
        }
    } else {
        PaceBridge.checkUrl && PaceBridge.checkUrl(url, name_succ, name_fail);
    }
};

pace.openMapApp = function (param) {
    if (!getBridge()) {
        console.log('cannot open map app');
        return;
    }
    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage && PaceBridge.postMessage({
            method: 'openMapApp',
            // arguments: arguments,
            param: param
        });
    } else {
        PaceBridge.openMapApp && PaceBridge.openMapApp(JSON.stringify(param));
    }
};

pace.back = function () {
    if (!getBridge()) {
        console.log('PaceBridge--- 1', PaceBridge);
        window.history && window.history.back && window.history.back();
        return;
    }

    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage && PaceBridge.postMessage({
            method: 'back'
            // arguments: arguments,
        });
    } else {
        console.log('在这里执行了');
        console.log('PaceBridge--- 2', PaceBridge);
        PaceBridge.back && PaceBridge.back();
    }
};

pace.openSetPhone = function () {
    if (!getBridge()) {
        console.error('open set phone page fail');
        return;
    }

    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage({
            method: 'openSetPhone'
        });
    } else {
        PaceBridge.openSetPhone && PaceBridge.openSetPhone();
    }
};

pace.shareWx = function (param) {
    if (!getBridge()) {
        console.log('cannot share to wechat');
        return;
    }

    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage && PaceBridge.postMessage({
            method: 'shareWx',
            // arguments: arguments,
            param: param
        });
    } else {
        PaceBridge.shareWx && PaceBridge.shareWx(JSON.stringify(param));
    }
};

function getOriginUrl(url) {
    if (url[0] !== '/') return url;
    getOriginUrl.cache = getOriginUrl.cache || {};
    return getOriginUrl.cache[url] = getOriginUrl.cache[url] || URL_BASE + url;
}

function getBridge() {
    if (!PaceBridge) {
        if (DEVICE_TYPE === 'ios') PaceBridge = window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.PaceBridge;else PaceBridge = window.PaceBridge;
    }
    return PaceBridge;
}

function getBrowser() {
    return {
        versions: function () {
            var u = navigator.userAgent,
                app = navigator.appVersion;
            return { // 移动终端浏览器版本信息
                trident: u.indexOf('Trident') > -1, // IE内核
                presto: u.indexOf('Presto') > -1, // opera内核
                webKit: u.indexOf('AppleWebKit') > -1, // 苹果、谷歌内核
                gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, // 火狐内核
                mobile: !!u.match(/AppleWebKit.*Mobile.*/), // 是否为移动终端
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), // ios终端
                android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, // android终端或uc浏览器
                iPhone: u.indexOf('iPhone') > -1, // 是否为iPhone或者QQHD浏览器
                iPad: u.indexOf('iPad') > -1, // 是否iPad
                webApp: u.indexOf('Safari') == -1, // 是否web应该程序，没有头部与底部
                weixin: u.match(/MicroMessenger/i) == "micromessenger" || window.WeixinJSBridge != undefined
            };
        }(),
        language: (navigator.browserLanguage || navigator.language).toLowerCase()
    };
}

function getDeviceType() {
    var result = '';
    var browser = getBrowser();
    if (browser.versions.ios || browser.versions.iPhone || browser.versions.iPad) {
        result = 'ios';
    } else if (browser.versions.android) {
        result = 'android';
    }
    // console.log(result);
    return result;
}

function getSequence() {
    getSequence.count = getSequence.count || 0;
    return ++getSequence.count;
}

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

var pace = __webpack_require__(0);

module.exports = function (url, data, on_succ, on_fail) {
    if (typeof data === 'function') return jsonp(url, {}, data, on_succ);

    return jsonp(url, data, on_succ, on_fail);
};

function jsonp(url, data, on_succ, on_fail) {
    data = data || {};
    setTimeout(function () {
        pace.checkUrl(url, function (fresh_url) {
            data._r = Math.random();
            data._t = Date.now();
            $.ajax({
                url: fresh_url,
                data: data,
                dataType: 'jsonp',
                success: on_succ
            });
        });
    });
}

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

var store = module.exports = {};

store.set = function (key, ver, val) {
    var obj = {
        version: ver,
        data: val
    };
    var txt = JSON.stringify(obj);
    localStorage.setItem(key, txt);
};

store.get = function (key, ver) {
    var txt = localStorage.getItem(key);
    if (!txt) return;
    var obj = void 0;
    try {
        obj = new Function('return ' + txt)();
    } catch (exc) {
        return;
    };
    if (ver !== obj.version) return;
    return obj.data;
};

/***/ }),
/* 3 */,
/* 4 */,
/* 5 */,
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by Administrator on 2018/1/3.
 */

__webpack_require__(7);
var jsonp = __webpack_require__(1);
var pace = __webpack_require__(0);
var store = __webpack_require__(2);
var dates = __webpack_require__(8);

var STORE_KEY = 'PACE_ADDR_LIST';
var STORE_VER = 1;
function template(list) {
    return list.map(function (item) {
        var addr_name = item.aoi_name && item.aoi_name || item.poi_name;
        var times = dates(item.timestamp);
        return '<div style="display:flex;width:100%;height:72px;border-bottom:1px solid #eee;" >' + '<div class="loction_name">' + '<p style="margin-top:16px;    overflow: hidden;text-overflow: ellipsis;white-space: nowrap;width: 160px;}">' + addr_name + '</p>' + '<p style="margin-top:4px;font-size: 12px;color: rgba(0,0,0,0.50);">' + times + '</p>' + '</div>' + '<div class="loction_iocon">' + '<img src="assets/navigation.png" class="locIcon" data-id="' + item.addr_id + '" data-lat="' + item.latitude + '" data-lon="' + item.longitude + '"  style="width:24px;height:24px;margin-top:24px;" alt="">' + '</div>' + '</div>';
    }).join('');
}

function showAddrList(list) {
    list = list || [];
    if (list.length === 0 || typeof list.length === 'undefined') {
        console.log('yijnmeiyou gengduole ');
        $('#editor').css('display', 'none');
        $('#location_list_null').css('display', 'block');
        $('#addr_list').html('');
        $('#all_selected').css('display', 'none');
    } else {
        var html = template(list);
        $('#addr_list').html(html || '');
        $('#editor').css('display', 'block');
        $('#location_list_null').css('display', 'none');
    }

    $('.locIcon').click(function () {
        if (that.html() === '全选') {
            if ($(this).attr('src') === 'assets/checkbox.png') {
                $(this).attr('src', 'assets/defalute.png');
            } else {
                $(this).attr('src', 'assets/checkbox.png');
            };
            var all_arr = [];
            var icon = $('.locIcon');
            for (var i = 0; i < icon.length; i++) {
                if (icon[i].getAttribute('src') === 'assets/checkbox.png') {
                    all_arr.push(icon[i].getAttribute('data-id'));
                }
            }
            if (all_arr.length === icon.length) {
                $('#all_selected').html('取消全选');
            } else {
                $('#all_selected').html('全选');
            }
            all_arr.length === 0 ? $('#deleat_icon').attr('src', 'assets/deleat_btn.png') : $('#deleat_icon').attr('src', 'assets/delete.png');
            $('#location_histroy').html('已选' + all_arr.length + '项');
        } else {
            pace.openMapApp({
                longitude: $(this).attr('data-lon'),
                latitude: $(this).attr('data-lat')
            });
        }
    });
}
showAddrList(store.get(STORE_KEY, STORE_VER));
jsonp('/cgi/concat/get_address_list', function (rsp) {
    console.log('get address list rsp:', rsp);
    if (rsp.ret === 0) {
        console.log(rsp.addr_list);
        store.set(STORE_KEY, STORE_VER, rsp.addr_list);
        showAddrList(rsp.addr_list);
    }
});

$('#back').click(function () {
    pace.back();
});
var that = $('#editor');
var delete_btn = $('#delete');
var arr = [];
$('#editor').click(function () {

    if (that.attr('data-switch') === 'true') {
        $('#cancle_button').css('display', 'block');
        $('#back').css('display', 'none');
        $('#editor').css('display', 'none');
        that.html('全选');
        $('#location_histroy').html('已选0项');
        $('#deleat_icon').attr('src', 'assets/deleat_btn.png');
        that.attr('data-switch', 'false');
        delete_btn.css('display', 'block');
        $('.locIcon').attr('src', 'assets/defalute.png');
        $('#all_selected').css('display', 'block');
    } else {
        $('#cancle_button').css('display', 'none');
        $('#back').css('display', 'block');
        that.html('编辑');
        that.attr('data-switch', 'true');
        delete_btn.css('display', 'none');
        $('.locIcon').attr('src', 'assets/navigation.png');
        $('#add_btned').css('display', 'block');
        $('#delete_btned').css('display', 'none');
    }
});
//全选
$('#all_selected').click(function () {
    var _this = $('#all_selected');
    if (_this.attr('data-selected') === 'true') {
        $('.locIcon').attr('src', 'assets/checkbox.png');
        _this.attr('data-selected', 'false');
        _this.html('取消全选');
        $('#location_histroy').html('已全部选中');
        $('#deleat_icon').attr('src', 'assets/delete.png');
    } else {
        _this.attr('data-selected', 'true');
        _this.html('全选');
        $('.locIcon').attr('src', 'assets/defalute.png');
        $('#location_histroy').html('已选0项');
        $('#deleat_icon').attr('src', 'assets/deleat_btn.png');
    }
});

$('#cancle_button').click(function () {
    $('#all_selected').css('display', 'none');
    $('#editor').css('display', 'block');
    $('#cancle_button').css('display', 'none');
    $('#back').css('display', 'block');
    that.html('编辑');
    $('#location_histroy').html('位置记录历史');
    that.attr('data-switch', 'true');
    delete_btn.css('display', 'none');
    $('.locIcon').attr('src', 'assets/navigation.png');
});
//删除地理位置
delete_btn.click(function () {
    // $('#model').css('display', 'block');
    arr = [];
    var icon = $('.locIcon');
    for (var i = 0; i < icon.length; i++) {
        if (icon[i].getAttribute('src') === 'assets/checkbox.png') {
            arr.push(icon[i].getAttribute('data-id'));
        }
    }
    console.log(arr);
    sureDelete();
});
//确认删除
function sureDelete() {
    //删除联系人
    jsonp('/cgi/concat/del_addresse', {
        addr_list: arr
    }, function (rsp) {
        jsonp('/cgi/concat/get_address_list', function (rsp) {
            console.log('get address list rsp:', rsp);
            if (rsp.ret === 0) {
                $('#all_selected').css('display', 'none');
                store.set(STORE_KEY, STORE_VER, rsp.addr_list);
                showAddrList(rsp.addr_list);
                $('#cancle_button').css('display', 'none');
                $('#back').css('display', 'block');
                that.html('编辑');
                $('#location_histroy').html('位置记录历史');
                that.attr('data-switch', 'true');
                delete_btn.css('display', 'none');
                $('.locIcon').attr('src', 'assets/navigation.png');
                console.log('del address rsp:', rsp);
            }
        });
    });
    $('#model').css('display', 'none');
}
//取消
$('#cancleBtn').click(function () {
    $('#model').css('display', 'none');
});

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

typeof window !== 'undefined' && (window.onerror = function (errorMessage, scriptURI, lineNumber, columnNumber, errorObj) {
   console.log('error message:', errorMessage);
   console.log('error file:', scriptURI);
   console.log('error line:', lineNumber);
   console.log('error column:', columnNumber);
   console.log('error detail:', errorObj);
});

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

module.exports = formatTime;

function formatTime(time) {
    var nt = new Date();
    var dt = parseInt(nt.getTime() / 1000);
    var yt = new Date(nt.getFullYear() + '/' + (nt.getMonth() + 1) + '/' + (nt.getDate() - 1) + ' 00:00:01');
    var tt = new Date(time * 1000);
    var delta = dt - time;

    if (delta >= 86400 * 365 || tt.getFullYear() != nt.getFullYear()) {
        return tt.getFullYear() + '-' + (tt.getMonth() + 1) + '-' + tt.getDate();
    } else if (delta > 86400 * 3) {
        return tt.getMonth() + 1 + '-' + tt.getDate();
    } else if (tt.getDate() == yt.getDate()) {
        return '昨天';
    } else if (delta > 86400) {
        return Math.ceil(delta / 86400) + '天前';
    } else if (delta > 3600) {
        return Math.floor(delta / 3600) + '小时前';
    } else if (delta > 60) {
        return Math.floor(delta / 60) + '分钟前';
    } else {
        return '刚刚';
    }
}

/***/ })
/******/ ]);
//# sourceMappingURL=debugging/addr_list.js.map