/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 11);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

var pace = module.exports = window.pace = window.pace || {};

var DEVICE_TYPE = getDeviceType();
var PaceBridge = null;
var URL_BASE = 'http://pacehirunact.sparta.html5.qq.com';

pace.checkUrl = function (url, on_succ, on_fail) {
    url = getOriginUrl(url);
    on_fail = on_fail || function (err) {
        return console.error('checkUrl() fail. err:', err);
    };
    if (!getBridge()) {
        url += url.indexOf('?') >= 0 ? '&' : '?';
        url += 'uin=MTExMDQ3&sign=b6b7aef83e9d7f3ae4eaade429383f23&pass_ticket=0dc18f27c9a2472112d0eb38e683b374';
        on_succ && on_succ(url);
        return;
    }

    var name_succ = '_pace_func_' + getSequence();
    var name_fail = '_pace_func_' + getSequence();
    window[name_succ] = function () {
        console.log('checkUrl() succ. arguments:', arguments);
        delete window[name_succ];
        delete window[name_fail];
        on_succ && on_succ.apply(this, arguments);
    };
    window[name_fail] = function () {
        console.error('checkUrl() fail. arguments:', arguments);
        delete window[name_succ];
        delete window[name_fail];
        on_fail();
    };

    if (DEVICE_TYPE === 'ios') {
        try {
            PaceBridge.postMessage && PaceBridge.postMessage({
                method: 'checkUrl',
                // arguments: arguments,
                url: url,
                on_succ: name_succ,
                on_fail: name_fail
            });
        } catch (err) {
            console.log(err);
        }
    } else {
        PaceBridge.checkUrl && PaceBridge.checkUrl(url, name_succ, name_fail);
    }
};

pace.openMapApp = function (param) {
    if (!getBridge()) {
        console.log('cannot open map app');
        return;
    }
    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage && PaceBridge.postMessage({
            method: 'openMapApp',
            // arguments: arguments,
            param: param
        });
    } else {
        PaceBridge.openMapApp && PaceBridge.openMapApp(JSON.stringify(param));
    }
};

pace.back = function () {
    if (!getBridge()) {
        console.log('PaceBridge--- 1', PaceBridge);
        window.history && window.history.back && window.history.back();
        return;
    }

    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage && PaceBridge.postMessage({
            method: 'back'
            // arguments: arguments,
        });
    } else {
        console.log('在这里执行了');
        console.log('PaceBridge--- 2', PaceBridge);
        PaceBridge.back && PaceBridge.back();
    }
};

pace.openSetPhone = function () {
    if (!getBridge()) {
        console.error('open set phone page fail');
        return;
    }

    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage({
            method: 'openSetPhone'
        });
    } else {
        PaceBridge.openSetPhone && PaceBridge.openSetPhone();
    }
};

pace.shareWx = function (param) {
    if (!getBridge()) {
        console.log('cannot share to wechat');
        return;
    }

    if (DEVICE_TYPE === 'ios') {
        PaceBridge.postMessage && PaceBridge.postMessage({
            method: 'shareWx',
            // arguments: arguments,
            param: param
        });
    } else {
        PaceBridge.shareWx && PaceBridge.shareWx(JSON.stringify(param));
    }
};

function getOriginUrl(url) {
    if (url[0] !== '/') return url;
    getOriginUrl.cache = getOriginUrl.cache || {};
    return getOriginUrl.cache[url] = getOriginUrl.cache[url] || URL_BASE + url;
}

function getBridge() {
    if (!PaceBridge) {
        if (DEVICE_TYPE === 'ios') PaceBridge = window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.PaceBridge;else PaceBridge = window.PaceBridge;
    }
    return PaceBridge;
}

function getBrowser() {
    return {
        versions: function () {
            var u = navigator.userAgent,
                app = navigator.appVersion;
            return { // 移动终端浏览器版本信息
                trident: u.indexOf('Trident') > -1, // IE内核
                presto: u.indexOf('Presto') > -1, // opera内核
                webKit: u.indexOf('AppleWebKit') > -1, // 苹果、谷歌内核
                gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, // 火狐内核
                mobile: !!u.match(/AppleWebKit.*Mobile.*/), // 是否为移动终端
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), // ios终端
                android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, // android终端或uc浏览器
                iPhone: u.indexOf('iPhone') > -1, // 是否为iPhone或者QQHD浏览器
                iPad: u.indexOf('iPad') > -1, // 是否iPad
                webApp: u.indexOf('Safari') == -1, // 是否web应该程序，没有头部与底部
                weixin: u.match(/MicroMessenger/i) == "micromessenger" || window.WeixinJSBridge != undefined
            };
        }(),
        language: (navigator.browserLanguage || navigator.language).toLowerCase()
    };
}

function getDeviceType() {
    var result = '';
    var browser = getBrowser();
    if (browser.versions.ios || browser.versions.iPhone || browser.versions.iPad) {
        result = 'ios';
    } else if (browser.versions.android) {
        result = 'android';
    }
    // console.log(result);
    return result;
}

function getSequence() {
    getSequence.count = getSequence.count || 0;
    return ++getSequence.count;
}

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

var pace = __webpack_require__(0);

module.exports = function (url, data, on_succ, on_fail) {
    if (typeof data === 'function') return jsonp(url, {}, data, on_succ);

    return jsonp(url, data, on_succ, on_fail);
};

function jsonp(url, data, on_succ, on_fail) {
    data = data || {};
    setTimeout(function () {
        pace.checkUrl(url, function (fresh_url) {
            data._r = Math.random();
            data._t = Date.now();
            $.ajax({
                url: fresh_url,
                data: data,
                dataType: 'jsonp',
                success: on_succ
            });
        });
    });
}

/***/ }),
/* 2 */,
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/*
 * Copyright (C) distroy
 */

var util = module.exports = {};

util.getInviteUrl = function (icode) {
    var url = util.buildUrl('https://t.pacewear.cn/hirun', {
        path: 'concat/invite',
        icode: icode,
        env: 'test'
    });
    var wx_url = util.buildUrl('https://open.weixin.qq.com/connect/oauth2/authorize', {
        appid: 'wx730d814445072f44',
        redirect_uri: url,
        response_type: 'code',
        scope: 'snsapi_login'
        // state: '',
    });

    console.log('invite url.', url);
    console.log('wx share url.', wx_url);
    return wx_url;
};

util.buildUrl = function (url, params) {
    if ((typeof url === 'undefined' ? 'undefined' : _typeof(url)) === 'object') return buildUrl('', url);
    if (!params) return url || '';
    var l = [];
    if (url) {
        l.push(url);
        l.push(url.indexOf('?') === -1 ? '?' : '&');
    }
    var f = 0;
    for (var k in params) {
        var v = params[k];
        if (f !== 0) l.push('&');else f = 1;
        l.push(encodeURIComponent(k));
        l.push('=');
        l.push(encodeURIComponent(v));
    }
    console.log(l.join(''), "l.join('')");
    return l.join('');
};

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

var consts = module.exports = {};

consts.SHARE_ICON = 'http://3gimg.qq.com/wspbbs/pace/app/addr_share_icon.png';

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
 * Copyright (C) distroy
 */

module.exports = toast;
window.toast = toast;

var layer = null;
var style = null;

function buildStyle() {
    if (style) return;

    var css = ['@-webkit-keyframes ld_toast {', '    0% {', '        opacity: 0', '    }', '    30%, 70% {', '        opacity: 1;', '    }', '    100% {', '        opacity: 0;', '    }', '}', '@keyframes ld_toast {', '    0% {', '        opacity: 0', '    }', '    30%, 70% {', '        opacity: 1;', '    }', '    100% {', '        opacity: 0;', '    }', '}', '.ld_toast {', '    position: fixed;', '    margin: 0;', '    padding: 15px 20px;',
    // '    top: 80%;',
    '    bottom: 10%;',
    // '    height: 48px;',
    // '    line-height: 48px;',
    // '    left: 50%;',
    // '    width: 194px;',
    // '    margin-left: -97px;',
    // '    background-clip: padding-box;',
    // '    background-color: rgba(0, 0, 0, .6);',
    '    background: #000000;',
    // '    border-radius: 5px;',
    '    text-align: center;', '    z-index: 999;', '}', '.ld_toast_animation {', '    opacity: 0;', '    pointer-events: none;', // 事件穿透
    '    -webkit-animation: ld_toast 2s ease;', '    animation: ld_toast 2s ease;', '}', '.ld_toast_text {', '    color: #ccc;', '    font-size: 14px;', '}'].join('\n');
    style = document.createElement('style');
    style.innerHTML = css;
    document.head.appendChild(style);
};

function toast(content) {
    setTimeout(function () {
        buildStyle();

        layer && document.body.removeChild(layer);
        layer = document.createElement('div');
        document.body.appendChild(layer);

        layer.innerHTML = ['<span class="ld_toast_text">', content, '</span>'].join('');
        layer.setAttribute('class', 'ld_toast ld_toast_animation');
        layer.style.marginLeft = -(layer.offsetWidth / 2) + 'px';
        layer.style.left = '50%';
    }, 0);
};

/***/ }),
/* 6 */,
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by Administrator on 2018/1/4.
 */

var jsonp = __webpack_require__(1);
var pace = __webpack_require__(0);
var util = __webpack_require__(3);
var toast = __webpack_require__(5);
var consts = __webpack_require__(4);

$('#back').click(onClickBack);
$('#clear').click(onClickClear);
$('#phone').on('input', onInputPhone);
$('#invite').on('click', onClickInvite);

function onClickBack(ev) {
    pace.back();
}
function get_user_number() {
    jsonp('/cgi/concat/get_phone_number', function (rsp) {
        if (rsp.ret != 0) {
            console.log('获取电话号码失败');
        }{
            if (rsp.phone_number && rsp.phone_number !== undefined) {
                $('#phone').val(rsp.phone_number);
                $('#invite').css('background', '#000000');
            }
        }
    });
}
get_user_number();
//判断联系人是否接受邀请
function is_invite() {
    jsonp('/cgi/concat/invite_concat', function (rsp) {
        console.log('invite concat rsp.', rsp);
        switch (+rsp.ret) {
            case 0:
                break;

            case 10002:
                return;

            default:
                console.error('invite concat fail.', rsp);
                return;
        }
    });
}
is_invite();
function onClickClear() {
    $('#phone').val('');
}

function onInputPhone(ev) {
    var phone = $('#phone').val();
    if (phone.length > 0) $('#clear').show();else $('#clear').hide();

    if (isPhoneValid(phone)) $('#invite').css('background', '#000000');else $('#invite').css('background', '#CCCCCC');
}

function isPhoneValid(phone) {
    return phone.length === 11;
}

function onClickInvite() {
    var phone = $('#phone').val();
    if (!isPhoneValid(phone)) return toast('联系号码不合法');
    jsonp('/cgi/concat/set_phone_number', {
        phone_number: phone
    }, function (rsp) {
        console.log('set phone rsp.', rsp);
        if (+rsp.ret !== 0) {
            console.error('set phone fail.', rsp);
            toast('设置联系号码失败');
            return;
        }

        jsonp('/cgi/concat/invite_concat', function (rsp) {
            console.log('invite concat rsp.', rsp);
            switch (+rsp.ret) {
                case 0:
                    break;

                case 10006:
                default:
                    console.error('invite concat fail.', rsp);
                    toast('发起邀请失败');
                    return;
            }

            var icode = rsp.invitation_code;
            var url = util.getInviteUrl(icode);
            pace.shareWx({
                url: url,
                title: 'title',
                content: 'content',
                icon: consts.SHARE_ICON
            });
        });
    });
}

/***/ })
/******/ ]);
//# sourceMappingURL=debugging/user_phone.js.map